package com.seas.patron.observer.observers;

import com.seas.patron.observer.interfaces.base.IObservable;
import com.seas.patron.observer.interfaces.base.IObserver;

/**
 * Clase que implementa la interfaz IObserver y que estara pendiente del estado
 * de un objeto iempo, mostrandolo como cadena en un JLabel cada vez
 * que le sea notificado un cambio.
 *
 * @author SEAS - Estudios Abiertos
 */
public class ObservadorGrafico extends javax.swing.JFrame implements IObserver {

    private IObservable observable;

    /**
     * Constructor unico de la clase ObservadorGrafico.
     *
     * @param observable IObservable objeto del cual estaremos pendiendes te los
     * cambios de estado.
     */
    public ObservadorGrafico(IObservable observable) {
        initComponents();
        setLocationRelativeTo(null);
        this.observable = observable;
        this.observable.addObserver(this);
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelContenedor = new javax.swing.JPanel();
        lblHora = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        setMaximumSize(new java.awt.Dimension(300, 100));
        setMinimumSize(new java.awt.Dimension(60, 30));

        panelContenedor.setMaximumSize(new java.awt.Dimension(300, 100));
        panelContenedor.setMinimumSize(new java.awt.Dimension(60, 30));
        panelContenedor.setPreferredSize(new java.awt.Dimension(300, 100));

        lblHora.setHorizontalTextPosition(javax.swing.SwingConstants.CENTER);
        lblHora.setMaximumSize(new java.awt.Dimension(300, 100));
        lblHora.setPreferredSize(new java.awt.Dimension(300, 100));
        lblHora.setVerifyInputWhenFocusTarget(false);
        panelContenedor.add(lblHora);

        getContentPane().add(panelContenedor, java.awt.BorderLayout.CENTER);

        pack();
    }// </editor-fold>//GEN-END:initComponents
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel lblHora;
    private javax.swing.JPanel panelContenedor;
    // End of variables declaration//GEN-END:variables

    /**
     * Metodo de la interfaz IObserver implementado que actualizara el texto del JLabel.
     */
    @Override
    public void update() {
        lblHora.setText(observable.toString());
        pack();
    }
}



